org.eclipse.jetty.servlet

## Class ServletHolder.Registration

- java.lang.Object
- - org.eclipse.jetty.servlet.Holder.HolderRegistration
  - - org.eclipse.jetty.servlet.ServletHolder.Registration

- All Implemented Interfaces:
    javax.servlet.Registration, javax.servlet.Registration.Dynamic, javax.servlet.ServletRegistration, javax.servlet.ServletRegistration.Dynamic
  Enclosing class:
    ServletHolder

      public class ServletHolder.Registration
      extends Holder.HolderRegistration
      implements javax.servlet.ServletRegistration.Dynamic

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface javax.servlet.ServletRegistration

      `javax.servlet.ServletRegistration.Dynamic`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.servlet.MultipartConfigElement` | `_multipartConfig`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServletHolder.Registration()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<String>` | `addMapping(String... urlPatterns)`
    `int` | `getInitOrder()`
    `Collection<String>` | `getMappings()`
    `javax.servlet.MultipartConfigElement` | `getMultipartConfig()`
    `String` | `getRunAsRole()`
    `void` | `setLoadOnStartup(int loadOnStartup)`
    `void` | `setMultipartConfig(javax.servlet.MultipartConfigElement element)`
    `void` | `setRunAsRole(String role)`
    `Set<String>` | `setServletSecurity(javax.servlet.ServletSecurityElement securityElement)`

    - ### Methods inherited from class org.eclipse.jetty.servlet.Holder.HolderRegistration

      `getClassName, getInitParameter, getInitParameters, getName, setAsyncSupported, setDescription, setInitParameter, setInitParameters`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.Registration.Dynamic

      `setAsyncSupported`

    - ### Methods inherited from interface javax.servlet.Registration

      `getClassName, getInitParameter, getInitParameters, getName, setInitParameter, setInitParameters`

- - ### Field Detail

    - #### _multipartConfig

          protected javax.servlet.MultipartConfigElement _multipartConfig

  - ### Constructor Detail

    - #### ServletHolder.Registration

          public ServletHolder.Registration()

  - ### Method Detail

    - #### addMapping

          public Set<String> addMapping(String... urlPatterns)

      Specified by:
        `addMapping` in interface `javax.servlet.ServletRegistration`

    - #### getMappings

          public Collection<String> getMappings()

      Specified by:
        `getMappings` in interface `javax.servlet.ServletRegistration`

    - #### getRunAsRole

          public String getRunAsRole()

      Specified by:
        `getRunAsRole` in interface `javax.servlet.ServletRegistration`

    - #### setLoadOnStartup

          public void setLoadOnStartup(int loadOnStartup)

      Specified by:
        `setLoadOnStartup` in interface `javax.servlet.ServletRegistration.Dynamic`

    - #### getInitOrder

          public int getInitOrder()

    - #### setMultipartConfig

          public void setMultipartConfig(javax.servlet.MultipartConfigElement element)

      Specified by:
        `setMultipartConfig` in interface `javax.servlet.ServletRegistration.Dynamic`

    - #### getMultipartConfig

          public javax.servlet.MultipartConfigElement getMultipartConfig()

    - #### setRunAsRole

          public void setRunAsRole(String role)

      Specified by:
        `setRunAsRole` in interface `javax.servlet.ServletRegistration.Dynamic`

    - #### setServletSecurity

          public Set<String> setServletSecurity(javax.servlet.ServletSecurityElement securityElement)

      Specified by:
        `setServletSecurity` in interface `javax.servlet.ServletRegistration.Dynamic`

Copyright © 1995-2016 Mort Bay Consulting. All Rights Reserved.